"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationStatus = exports.ApplicationShutdownStatus = exports.ApplicationStartupStatus = exports.ApplicationDefaultStatus = void 0;
/**
 * Enum for various application life cycle status
 */
var ApplicationDefaultStatus;
(function (ApplicationDefaultStatus) {
    ApplicationDefaultStatus["UNKNOWN"] = "UNKNOWN";
})(ApplicationDefaultStatus || (exports.ApplicationDefaultStatus = ApplicationDefaultStatus = {}));
/**
 * Enum for application startup status
 */
var ApplicationStartupStatus;
(function (ApplicationStartupStatus) {
    ApplicationStartupStatus["STARTING"] = "STARTING";
    ApplicationStartupStatus["UP"] = "UP";
})(ApplicationStartupStatus || (exports.ApplicationStartupStatus = ApplicationStartupStatus = {}));
/**
 * Enum for application shutdown status
 */
var ApplicationShutdownStatus;
(function (ApplicationShutdownStatus) {
    ApplicationShutdownStatus["STOPPING"] = "STOPPING";
    ApplicationShutdownStatus["STOPPED"] = "STOPPED";
})(ApplicationShutdownStatus || (exports.ApplicationShutdownStatus = ApplicationShutdownStatus = {}));
/**
 * Enum for application status
 */
var ApplicationStatus;
(function (ApplicationStatus) {
    ApplicationStatus["DOWN"] = "DOWN";
    ApplicationStatus["UP"] = "UP";
})(ApplicationStatus || (exports.ApplicationStatus = ApplicationStatus = {}));
//# sourceMappingURL=enum-application-life-cycle-status.js.map